Name:           plotmm
Version:        0.1.2
Release:        4%{?dist}

Summary:        GTKmm plot widget for scientific applications
Group:          System Environment/Libraries
License:        LGPL
URL:            http://plotmm.sourceforge.net/
Source0:        plotmm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  gtkmm24-devel >= 2.4.0


%description
This package provides an extension to the gtkmm library.  
It contains widgets which are primarily useful 
for technical and scientifical purposes.
Initially, this is a 2-D plotting widget.

%package devel
Summary:        Headers for developing programs that will use plotmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel


%description devel
This package contains the headers that programmers will 
need to develop applications which will use plotmm.

%package -n plotmm-examples
Summary: 	Plotmm sample applications
Group: 		System Environment/Libraries
Requires: 	%{name} = %{version}-%{release}


%description -n plotmm-examples
Plotmm sample applications: plotmm-curves, plotmm-simple


%prep
%setup -q -n plotmm-%{version}


%build
%configure --disable-static --enable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir -p $RPM_BUILD_ROOT%{_libdir}/plotmm/examples
mv $RPM_BUILD_ROOT%{_bindir}/curves $RPM_BUILD_ROOT%{_bindir}/plotmm-curves
mv $RPM_BUILD_ROOT%{_bindir}/simple $RPM_BUILD_ROOT%{_bindir}/plotmm-simple

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc doc/html
%{_includedir}/plotmm/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n plotmm-examples
%defattr(-, root, root, -)
%{_bindir}/plotmm-curves
%{_bindir}/plotmm-simple

%changelog
* Tue Jun 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-4
- some fixes to the spec

* Tue Jun 13 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-3
- some syntax fixes to post and postun section

* Fri May 26 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-2
- added doc to devel package and put sample applications into plotmm-examples package

* Sat May 20 2006 Haïkel Guémar <karlthered@gmail.com> - 0.1.2-1
- First Packaging
